// Project Lab - NHTV Igad

#pragma once
#include "Blueprint/UserWidget.h"
#include "EventHUD.h"
#include "EventWidget.generated.h"

UCLASS()
class UNREALPROJECT_API UEventWidget : public UUserWidget
{
	GENERATED_BODY()
public:
	virtual void NativeConstruct() override;
	virtual void NativeDestruct() override;

	UFUNCTION(BlueprintNativeEvent, BlueprintCallable, Category = "UI")
	void SetVariables( const FEventObject& event );
};
